//
//  Logger.swift
//  CapFinder
//
//  Created by User on 11.04.18.
//  Copyright © 2018 User. All rights reserved.
//

import Foundation

protocol Logger {

    static var logToken: String { get }

}

extension Logger {

    func error(_ message: String) {
        print(Self.logToken + " ERROR: " + message)
    }

    func event(_ message: String) {
        print(Self.logToken + " " + message)
    }

    static func error(_ message: String) {
        print(logToken + " ERROR: " + message)
    }

    static func event(_ message: String) {
        print(logToken + " " + message)
    }

}
