//
//  NavigationController.swift
//  CapCollector
//
//  Created by Christoph on 08.01.19.
//  Copyright © 2019 CH. All rights reserved.
//

import UIKit

class NavigationController: UINavigationController {
    
    override var supportedInterfaceOrientations: UIInterfaceOrientationMask {
        return allowLandscape ? .allButUpsideDown : .portrait
    }
    
    override var preferredInterfaceOrientationForPresentation: UIInterfaceOrientation {
        return .portrait
    }
    
    override var shouldAutorotate: Bool {
        return allowLandscape
    }
    
    var allowLandscape: Bool = false

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

}
